Skip to Content.
Sympa Menu

sm-commit - [SM-Commit] GIT changes to test-1.13 sorcery by Jaka Kranjc (5ff842743219b4bedb291e22dc61d99c1749c22e)

sm-commit AT lists.ibiblio.org

Subject: Source Mage code commit list

List archive

Chronological Thread  
  • From: Jaka Kranjc <scm AT sourcemage.org>
  • To: sm-commit AT lists.ibiblio.org
  • Subject: [SM-Commit] GIT changes to test-1.13 sorcery by Jaka Kranjc (5ff842743219b4bedb291e22dc61d99c1749c22e)
  • Date: Fri, 14 Mar 2008 14:22:32 -0500

GIT changes to test-1.13 sorcery by Jaka Kranjc <lynxlynxlynx AT sourcemage.org>:

ChangeLog | 9 +++++++++
etc/sorcery/version | 2 +-
usr/sbin/gaze | 21 ++++++++++++++++++---
var/lib/sorcery/modules/libcodex | 2 ++
4 files changed, 30 insertions(+), 4 deletions(-)

New commits:
commit 5ff842743219b4bedb291e22dc61d99c1749c22e
Author: Jaka Kranjc <lynxlynxlynx AT sourcemage.org>
Commit: Jaka Kranjc <lynxlynxlynx AT sourcemage.org>

1.13.8-rc6

commit 6eb6c0e8fdfb91980e54dc52ccedfea23c729642
Author: Jaka Kranjc <lynxlynxlynx AT sourcemage.org>
Commit: Jaka Kranjc <lynxlynxlynx AT sourcemage.org>

gaze: import and export need root privileges #13789

(cherry-picked from commit 71fb59842deb16cc42285860c27483c013bbeda9)

commit 77a29dcfabeec12a5c46935503c9537190b5ff06
Author: Jaka Kranjc <lynxlynxlynx AT sourcemage.org>
Commit: Jaka Kranjc <lynxlynxlynx AT sourcemage.org>

gaze from didn't check its parameters, causing bug #14219

(cherry-picked from commit baa454b0500ec8af760ed6e2307c08ff0e12d787)

commit 436a76da52c5d126fc397f828e20651c82570ba9
Author: Jaka Kranjc <lynxlynxlynx AT sourcemage.org>
Commit: Jaka Kranjc <lynxlynxlynx AT sourcemage.org>

gaze: gaze size could bark on files with glob paterns in their name #14183

(cherry-picked from commit 5e8d97ba1b5c7154e8b4606a735a44a854c8cc4a)

commit 897b4e0716e993c56d4fd326bdc29044ab733c2e
Author: Jaka Kranjc <lynxlynxlynx AT sourcemage.org>
Commit: Jaka Kranjc <lynxlynxlynx AT sourcemage.org>

libcodex: bail out of codex_check_cache if the grimoire dir is not
listable (executable) #13508

(cherry-picked from commit 0e2fc4bdc5f7bad681bc0c9ddf31e59754ba6fe3)

diff --git a/ChangeLog b/ChangeLog
index a5b7818..580a694 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,12 @@
+2008-02-02 Jaka Kranjc <lynxlynxlynx AT sourcemage.org>
+ * gaze: import and export need root privileges #13789
+
+2008-02-01 Jaka Kranjc <lynxlynxlynx AT sourcemage.org>
+ * libcodex: bail out of codex_check_cache if the grimoire dir is not
+ listable (executable) #13508
+ * gaze: gaze size could bark on files with glob paterns in their name
#14183
+ gaze from didn't check its parameters, causing bug #14219
+
2008-01-31 Jaka Kranjc <lynxlynxlynx AT sourcemage.org>
* libmisc: added error_message, a message() that also outputs to
stderr
* scribe: output errors to stderr #13738 , fixed punctuation
diff --git a/etc/sorcery/version b/etc/sorcery/version
index 59f2749..5de39d0 100644
--- a/etc/sorcery/version
+++ b/etc/sorcery/version
@@ -1 +1 @@
-1.13.8-rc5
+1.13.8-rc6
diff --git a/usr/sbin/gaze b/usr/sbin/gaze
index 1630fbd..9b29439 100755
--- a/usr/sbin/gaze
+++ b/usr/sbin/gaze
@@ -135,6 +135,11 @@ function maybe_column() {
#-----
function export_snapshot() {

+ if [[ $UID != 0 ]]; then
+ error_message "${PROBLEM_COLOR}gaze export needs to be run as root,
aborting...$DEFAULT_COLOR"
+ exit 1
+ fi
+
SOURCE_DIRECTORY=$BUILD_DIRECTORY/snapshot
mk_source_dir $SOURCE_DIRECTORY
cp -a /etc $SOURCE_DIRECTORY
@@ -170,6 +175,11 @@ function export_snapshot() {
#-----
function import_snapshot() {

+ if [[ $UID != 0 ]]; then
+ error_message "${PROBLEM_COLOR}gaze import needs to be run as root,
aborting...$DEFAULT_COLOR"
+ exit 1
+ fi
+
SNAPSHOT=$1
SOURCE_DIRECTORY=$BUILD_DIRECTORY/snapshot

@@ -585,6 +595,11 @@ function older() {
#-----
function show_from() {

+ if [[ -z $1 ]]; then
+ error_message "${PROBLEM_COLOR}Missing search string
parameter!$DEFAULT_COLOR"
+ exit 1
+ fi
+
cd $INSTALL_LOGS
find . -printf "%f\n" | xargs grep "`esc_str $1`$" |
seperate_state_files /dev/stdin /dev/stdout /dev/null | sort
@@ -1571,9 +1586,9 @@ function gaze_show_size () {
message "No install log for $spell ($file)"
continue
fi
- for each in $(<$file); do
- test -f $each && echo $each
- done | xargs du -b |
+ while read each; do
+ test -f "$each" && echo $each
+ done < $file | xargs du -b |
awk '{ x += $1 }
END { print "'$spell' -> " x " bytes ("int(x/1024+0.5)" K,
"int(x/1024/1024+0.5)" M) in " NR " files." }'
done
diff --git a/var/lib/sorcery/modules/libcodex
b/var/lib/sorcery/modules/libcodex
index 07e7e95..bf26d46 100755
--- a/var/lib/sorcery/modules/libcodex
+++ b/var/lib/sorcery/modules/libcodex
@@ -727,6 +727,8 @@ function codex_cache_spell_lookup() {
#---------------------------------------------------------------------
function codex_check_cache() {
codex_is_canonicalized $1 || return 1
+ [[ -x $1 ]] || return 1
+
if ! [ -f $1/$SPELL_INDEX_FILE ] || ! [ -f $1/$PROVIDE_INDEX_FILE ]; then
codex_create_cache
fi



  • [SM-Commit] GIT changes to test-1.13 sorcery by Jaka Kranjc (5ff842743219b4bedb291e22dc61d99c1749c22e), Jaka Kranjc, 03/14/2008

Archive powered by MHonArc 2.6.24.

Top of Page